Module | Compass::Configuration::Helpers
In: | lib/compass/configuration/helpers.rb

The helpers are available as methods on the Compass module. E.g. Compass.configuration

### Methods

add_configuration add_project_configuration compiler configuration configuration_for configure_sass_plugin! default_configuration deprojectize detect_configuration_file discover_extensions! handle_configuration_change! projectize reset_configuration! sass_engine_options sass_plugin_configuration

### Constants

KNOWN_CONFIG_LOCATIONS | = | ['config/compass.rb', ".compass/config.rb", "config/compass.config", "config.rb", "src/config.rb"] |  | TODO: Deprecate the src/config.rb location.

### Public Instance methods

add_configuration(config, filename = nil)
add_project_configuration(*args) {|if block_given?) || :stand_alone)| ...}

Read the configuration file for this project

compiler()
configuration() {|@configuration| ...}
configuration_for(config, filename = nil, defaults = nil)
configure_sass_plugin!()
default_configuration()
deprojectize(path, project_path = nil)
detect_configuration_file(project_path = nil)

Finds the configuration file, if it exists in a known location.

discover_extensions!()
handle_configuration_change!()
projectize(path, project_path = nil)

Returns a full path to the relative path to the project directory

reset_configuration!()

Support for testing.

sass_engine_options()
sass_plugin_configuration()

[Validate]